****** SECTION 1: STATA PRACTICE

****** SECTION 1: STATA PRACTICE


***** OPENING A DATA SET
clear all
cd "C:\Users\colecp\Desktop\"
log using section1
set more off
use "Economics 452 Fall 2015 NLSY97 Data.dta" 


***** HELP OPTIONS
help use


***** DESCRIBE DATA
describe


***** LIST DATA
list
list sex


***** BROWSE DATA
browse


***** SUMMARIZE DATA
summarize
summarize age pretaxlaborincome


***** TABULATE DATA


**** WITH VALUE LABELS
tab race
tab jobsatisfaction
tab pretaxlaborincome


**** WITHOUT VALUE LABELS
tab race, nolabel



***** CONDITIONING STATEMENTS

**** EQUAL TO
summarize pretaxlaborincome if jobsatisfaction==3

**** NOT EQUAL TO
summarize pretaxlaborincome if jobsatisfaction!=3

**** LESS THAN OR EQUAL TO
summarize pretaxlaborincome if jobsatisfaction<=3

**** GREATER THAN
summarize pretaxlaborincome if jobsatisfaction>3

**** TWO CONDITIONS - AND
summarize pretaxlaborincome if race==1 & maritalstatus==2

**** TWO CONDITIONS - OR
summarize pretaxlaborincome if race==1 | race==2

log close






