****** SECTION 14: STATA PRACTICE (14)

***** FGLS - LPM

**** GENERATE A NEW VARIABLE MEASURING WHETHER OR NOT AN INDIVIDUAL IS A COLLEGE GRADUATE

**** REGRESS THE VARIABLE MEASURING COLLEGE GRADUATION ON THE SAME CONTROLS AS BEFORE

**** PREDICT EXPECTED PROBABILITIES 

**** ESTIMATE THE VARIANCE OF THE ERROR TERM 

**** RUN WEIGHTED LEAST SQUARES

**** REDERIVE THE WEIGHTED LEAST SQUARES RESULTS


***** FGLS - REGRESSION

**** REGRESS HIGHESTGRADE ON HIGHESTGRADE MOTHER, ASVAB

**** PREDICT THE RESIDUALS FROM THIS REGRESSION, SQUARE THEM AND TAKE A LOG

**** ESTIMATE THE STRUCUTRAL RELATIONSHIP BETWEEN THE LOG OF THE SQUARED RESIDAULS AND HIGHESTGRADE MOTHER, ASVAB

**** GENERATE AN ESTIMATE OF THE VARIANCE OF THE ERROR TERM


****** SPECIFICATION TESTS

***** RAMSEY TEST

**** RUN A RAMSEY TEST WHERE WE REGRESS HIGHESTGRADE ON HIGHESTGRADE_MOTHER, ASVAB

**** GENERATE THE 2,3 and 4TH POWERS OF THE PREDICTED VALUES

**** IMPLEMENT THE RAMSEY TEST WITH THE 2ND AND 3RD POWERS (USE THIS ON THE HOMEWORK)

**** IMPLEMENT THE RAMSEY TEST WITH THE 2ND, 3RD AND 4TH POWERS

**** USE THE HARDCODED OVTEST TO IMPLEMENT A RAMSEY TEST (DIFFERENT THAN HOMEWORK!)


***** DAVIDSON-MCKINNEN TEST

**** RUN A D-M TEST WITH HIGHESTGRADE REGRESSED ON HIGHESTGRADE_MOTHER, ASVAB AS MODEL 1 AND HIGHESTGRADE REGRESSED ON HIGHESTGRADE_MOTHER
**** ON LOG OF ASVAB AS MODEL2

**** ESTIMATE MODEL1 AND GENERATE PREDICTED VALUES

**** ESTIMATE MODEL2 AND GENERATE PREDICTED VALUES

**** TEST THE MODELS BY INCLUDING PREDICTED VALUES FROM MODEL 2


***** MEASUREMENT ERROR
**** GENERATE A NEW PRETAXLABORINCOME VARIABLE WITH RANDOM NORMAL ERROR, MEAN 0 SD 30000

**** GENERATE A NEW ASVAB SCORE WITH RANDOM NORMAL ERROR MEAN 0 SD 10000

**** REGRESS PRETAXLABORINCOME ON HIGHEST GRADE AND THE 'TRUE' ASVAB SCORE

**** REGRESS PRETAXLABORINCOME ON HIGHEST GRADE AND THE 'ERROR' ASVAB SCORE

**** COMPARE THE TWO COEFFICIENTS USING THE FORMULAS FOR ATTENUATION BIAS



****** OPTIONAL
***** DEMONSTRATE HOW WEGHTING BY THE NUMBER OF OBSERVATIONS WORKS 

***** DROP IRRELEVANT OBSERVATIONS
foreach v of varlist pretaxlaborincome asvabmathverbal_1999 delinquency highestgrade highestgrade_mother highestgrade_father {
drop if `v'==.
}

***** GENERATE COUNTS OF OBSERVATIONS PER SUBGROUP (SUBGROUPS CREATED BY HIGHESTGRADE_M AND HIGHESTGRADE_F)
bys highestgrade_mother highestgrade_father: generate observations=_N

***** ESTIMATE OVERALL REGRESSION OF PRETAXLABOR ON ASVAB, DELINQUNE, HIGHESTGRADE, HIGHESTGRADE_M AND HIGHESTGRADE_F
regress pretaxlaborincome asvabmathverbal_1999 delinquency  highestgrade highestgrade_mother highestgrade_father

***** COLLAPSE OBSERVATIONS INTO AN AVERAGE AND RECOMPUTE THE PREVIOUS REGRESSION USING THE APPROPRIATE WEIGHTS
collapse (mean) pretaxlaborincome asvabmathverbal_1999 delinquency  highestgrade, by(highestgrade_mother highestgrade_father observations)
regress pretaxlaborincome asvabmathverbal_1999 delinquency highestgrade highestgrade_mother highestgrade_father [aw=observations]
regress pretaxlaborincome asvabmathverbal_1999 delinquency highestgrade highestgrade_mother highestgrade_father


