****** SECTION 1: STATA PRACTICE

***** OPENING A DATA SET
clear all
cd ""

use "Economics 452 Fall 2015 NLSY97 Data.dta"

* %%%%% DISCUSS INTERPRETING WINDOWS

***** HELP OPTIONS
help use



***** DESCRIBE DATA
describe

***** DESCRIBE DATA
* %%%%% ADD  SET MORE OFF to beginning

***** LIST DATA
list
list sex

***** BROWSE DATA
browse

* %%%%% TALK ABOUT STRUCTURE OF DATA

* %%%%% TALK ABOUT MISSING DATA


***** SUMMARIZE DATA
summarize 
summarize age pretaxlaborincome



***** TABULATE DATA
**** WITH VALUE LABELS
tab race
tab jobsatisfaction
tab maritalstatus race
**** WITHOUT VALUE LABELS
tab race, nol
tab jobsatisfaction, nol



***** CONDITIONING STATEMENTS
**** EQUAL TO
summarize pretaxlaborincome if jobsatisfaction==3
**** NOT EQUAL TO
summarize pretaxlaborincome if jobsatisfaction!=3
**** LESS THAN OR EQUAL TO
summarize pretaxlaborincome if jobsatisfaction<=3
**** GREATER THAN
*%%%%  STUDENTS DO - THINK JOB IS LESS THAN OK
summarize pretaxlaborincome if jobsatisfaction>3
**** TWO CONDITIONS - AND
summarize pretaxlaborincome if race==1 & maritalstatus==2
**** TWO CONDITIONS - OR
summarize pretaxlaborincome if race==1 | race==2
**** THREE CONDITIONS
*%%%% STUDENTS DO - (HISPANIC, NEVER MARRIED & NOT COHABITATING ) OR NON-BLACK, NON-HISPANIC
summarize pretaxlaborincome if (race==2 & maritalstatus==2) | race==4
