****** SECTION 11: STATA PRACTICE (11)


****** R-BAR SQUARED
***** SET SEED 12345

***** PRESERVE DATA

***** RESTRICT ATTENTION TO 20% OF DATA

***** REGRESS PRETAXLABORINCOME ON ASVAB, HIGHEST GRADE, SEX 

***** REGRESS PRETAXLABORINCOME ON ASVAB, HIGHEST GRADE, SEX AND NUMBER OF CHILDREN

***** COMPARE R SQUARED and R-BAR SQUARED

***** REDERIVE R SQUARED AND R-BAR SQUARED


****** LAGRANGE MULTIPLIER TEST
***** USE LM TEST TO TEST INCLUSION OF NUMBER OF CHILDREN VARIABLE IN REGRESSION OF PRETAXLABORINCOME ON ASVAB, HIGHESTGRADE, SEX AND NUMBEROFCHILDREN
drop if numberofchildren==. | highestgrade==.
regress pretaxlaborincome asvabmathverbal_1999 highestgrade sex
predict lmresids, resid
regress lmresids asvabmathverbal_1999 highestgrade sex numberofchildren

display 0.0005*5448
display 1-chi2(1,0.0005*5448)

***** COMPARE RESULTS TO F-TEST OF SAME NULL HYPOTHESIS
test (numberofchildren=0)

***** USE LM TEST TO TEST INCLUSION OF NUMBER OF CHILDREN AND HIGHEST GRADE VARIABLES IN REGRESSION OF PRETAXLABORINCOME ON ASVAB, HIGHESTGRADE, SEX AND NUMBEROFCHILDREN
regress pretaxlaborincome asvabmathverbal_1999 sex
predict lmresids2, resid
regress lmresids2 asvabmathverbal_1999 sex numberofchildren highestgrade 
display 0.0482*5448
display 1-chi2(2,0.0482*5448)

***** COMPARE RESULTS TO F-TEST OF SAME NULL HYPOTHESIS
test (numberofchildren=0) (highestgrade==0)


****** PREDICTION USING TWO METHODS
***** REGRESS PRETAXLABORINCOME ON HIGHESTGRADE AND SEX

***** PREDICT PRETAXLABORINCOME FOR SOMEONE WITH YOUR CHARACTERISTICS USING HIGHESTGRADE AND SEX

***** REDERIVE THE PREDICTED VALUE AND THE ASSOCIATED STANDARD ERROR USING THE METHOD FROM CLASS


****** STANDARD ERRORS WITH PREDICTIONS
***** REGRESS PRETAXLABORINCOME ON HIGHESTGRADE, SEX AND AGE

**** GENERATE STANDARD ERRORS FOR THE CONDITIONAL MEAN PREDICTION AND FOR THE FORECAST FOR INDIVIDUAL OBSERVATIONS

**** LIST THE TWO STANDARD ERRORS IF HIGHESTGRADE=6, AGE=30 AND SEX=2

**** REDERIVE THE FORECAST STANDARD ERROR


****** XTILE AND SUBGROUPS

****** GENERATE DUMMY VARIABLES DEFINING THE CATEGORIES

****** REGRESS PRETAXLABORINCOME ON THE CATEGORIES

****** INTERPRET THE MEANING ON THE COEFFICIENT ON THE 'HIGHEST GRADE PERCENT =4' DUMMY



