clear all
set obs 2000
set seed 12345
gen VariableName1 = rnormal(0,5)
gen VariableName3 = round(runiform(0,1))
gen VariableName2 = 1/10*VariableName1 + rnormal(0,1)  if VariableName3==1
replace VariableName2 = 1/5*VariableName1 + rnormal(0,1)  if VariableName3==0
gen VariableName4 = 1/8*VariableName1 + rnormal(0,1) 


twoway (scatter VariableName2 VariableName1)
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph1.eps", replace

twoway (scatter VariableName2 VariableName1) (lfit VariableName2 VariableName1)
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph2.eps", replace

twoway (scatter VariableName2 VariableName1) (scatter VariableName4 VariableName1)
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph3.eps", replace

twoway (scatter VariableName2 VariableName1) (lfit VariableName2 VariableName1), by(VariableName3)
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph4.eps", replace

twoway (scatter VariableName2 VariableName1) (lfit VariableName2  VariableName1) (scatter VariableName4 VariableName1) (lfit VariableName4 VariableName1) , by(VariableName3)
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph5.eps", replace

hist VariableName1
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph8.eps", replace

hist VariableName1, by(VariableName3)
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph9.eps", replace

kdensity VariableName1
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph10.eps", replace

twoway scatter VariableName2 VariableName1, xtitle("Variable Name 1") ytitle("Variable Name 2") title("Relationship Between Two Variables")
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph11.eps", replace



clear all
set obs 30
set seed 12345
gen VariableName5=_n
gen VariableName6 = VariableName5*.2+rnormal(0,.5) + 3
gen VariableName7 = VariableName5*.4+rnormal(0,.5) + 3
twoway (line VariableName6 VariableName5)
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph6.eps", replace
twoway (line VariableName6 VariableName5) (line VariableName7 VariableName5)
graph export "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/Section 12/graph7.eps", replace


